#!/usr/bin/env node

const chalk = require('chalk');
const program = require('commander')
const shell = require('shelljs');
const chalkAnimation = require('chalk-animation');

program
    .version('1.0.0')
    .option('-v,--version', 'hlvan-react-cli Version 1.0.0')
    .option('-C, --create [create]', '用react-admin-templte模板创建一个项目')
    .parse(process.argv);

if (program.create) {
    let start = (new Date()).getTime()
    // 创建一个文件夹
    shell.mkdir('-p', program.create)
    // 进入该文件，拉取代码
    shell.cd(program.create)
    // 删除原来的代码
    shell.rm('-fr', './*')
    shell.rm('-fr', './.*')
    // 拉取github上的模板
    shell.exec('git clone https://github.com/maliaoMJ/react-admin-template.git')
    // 拷贝目录到当前文件夹
    shell.cp('-fr', './react-admin-template/*  ', './')
    shell.cp('-fr', './react-admin-template/.* ', './')
    shell.rm('-fr', 'react-admin-template')
    // 删除原来的git信息
    shell.exec('rm -fr .git')
    // 初始化git信息
    shell.exec('git init')
    // 安装项目依赖
    shell.exec('yarn')
    // 是否安装插件依赖
    chalkAnimation.rainbow(`cd ${program.create} && run yarn run start`);
    let end = (new Date()).getTime()
    console.log(` ✨  Done in ${(end - start)/1000 }s.`)
    chalkAnimation.rainbow(`项目构建完成！`);
    setTimeout(() => {
        console.log()
    }, 3000)
    // 运行项目
    // shell.exec('yarn run start')
}